package com.mousetech.gourmetj.persistence.model;

import java.io.Serializable;
import javax.persistence.*;

/**
 * The persistent class for the "pantry" database table.
 * 
 */
@Entity
@Table(name = "pantry")
public class Pantry implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "id")
	private Long id;

	@Column(name = "ingkey", nullable = false)
	private String ingkey;

	@Column(name = "pantry")
	private Boolean pantry;

	/**
	 * Default Constructor.
	 */
	public Pantry() {
	}

	public Pantry(String ingKey, boolean checked) {
		this.ingkey = ingKey;
		this.pantry = checked;
	}

	public Long getId() {
		return this.id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getIngkey() {
		return this.ingkey;
	}

	public void setIngkey(String ingkey) {
		this.ingkey = ingkey;
	}

	public Boolean getPantry() {
		return this.pantry;
	}

	public void setPantry(Boolean pantry) {
		this.pantry = pantry;
	}

	@Override
	public String toString() {
		return ("Pantry " + getId() + " " + ingkey + " "
				+ getPantry());
	}
}
