package com.mousetech.gourmetj.persistence.service;

import java.io.Serializable;
import java.util.List;
import javax.enterprise.context.ApplicationScoped;
import javax.inject.Inject;
import javax.inject.Named;

import org.springframework.transaction.annotation.Transactional;

import com.mousetech.gourmetj.persistence.dao.CategoryRepository;
import com.mousetech.gourmetj.persistence.model.Category;

@Named
@ApplicationScoped
@Transactional
public class CategoryService implements Serializable {

  private static final long serialVersionUID = 1L;

  @Inject
  private CategoryRepository categoryRepository;


  public List<Category> findAll() {
    return categoryRepository.findAll();
  }
  
  /**
   * 
   * @return All Category names that are not null/blank, sorted.
   */
  public List<String> findCategoryNames() {
	 return categoryRepository.findDistinctCategoryNative(); 
  }
}
